Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
select_set Struct Reference

## Data Fields
int | max
int | sigwait_fd
rb_thread_t * | th
rb_fdset_t * | rset
rb_fdset_t * | wset
rb_fdset_t * | eset
rb_fdset_t | orig_rset
rb_fdset_t | orig_wset
rb_fdset_t | orig_eset
struct timeval * | timeout

## Detailed Description

Definition at line 3923 of file thread.c.

## Field Documentation

## ◆ eset

rb_fdset_t* select_set::eset

Definition at line 3929 of file thread.c.

## ◆ max

int select_set::max

Definition at line 3924 of file thread.c.

## ◆ orig_eset

rb_fdset_t select_set::orig_eset

Definition at line 3932 of file thread.c.

## ◆ orig_rset

rb_fdset_t select_set::orig_rset

Definition at line 3930 of file thread.c.

## ◆ orig_wset

rb_fdset_t select_set::orig_wset

Definition at line 3931 of file thread.c.

## ◆ rset

rb_fdset_t* select_set::rset

Definition at line 3927 of file thread.c.

## ◆ sigwait_fd

int select_set::sigwait_fd

Definition at line 3925 of file thread.c.

## ◆ th

rb_thread_t* select_set::th

Definition at line 3926 of file thread.c.

## ◆ timeout

struct timeval* select_set::timeout

Definition at line 3933 of file thread.c.

## ◆ wset

rb_fdset_t* select_set::wset

Definition at line 3928 of file thread.c.

The documentation for this struct was generated from the following file:

- thread.c